# CVS $Id: sensitive.tcl,v 1.3 1995/02/03 16:55:17 zibi Exp $
#
# Test sensitive callback
#

source tools.tcl

proc senCB {dl targ1 targ2 cbs} {
     set sen [VtGetValues $targ1 -sensitive]
     if {$sen} {
	 set v 0
	 set newLabel "I'm a Swine"
     } else {
	 set v 1
	 set newLabel "I'm So Sensitive"
     }

     VtSetValues $targ1 -label $v -label $newLabel
     VtSetValues $targ2 -label $v -label $newLabel

     # Set sensitivity both ways
     VtSetValues $targ1 -sensitive $v
     VtSetSensitive $targ2 $v
     VtSetSensitive $dl $v
}

set ap [VtOpen sens]

set dlog [VtFormDialog $ap.form]

set dl [VtDrawnList $dlog.dl -formatList {{STRING 40}} \
         -recordList {a b c d} -rows 2 -rightSide FORM]

set rc [VtRowColumn $dlog.rc]

set but1 [VtPushButton $rc.but1 -label "I'm So Sensitive"]
set but11 [VtPushButton $rc.but11 -label "I'm So Sensitive"]


set but2 [VtPushButton $rc.but2 -label "Toggle sensitivity" \
		       -callback "senCB $dl $but1 $but11" ]
set but3 [VtPushButton $rc.but3 -label "Exit" \
		       -callback QuitCB ]


VtShow $dlog

VtMainLoop
