# CVS $Id: help.tcl,v 1.3 1995/02/03 16:54:49 zibi Exp $
#
# A test of help connections
#

source tools.tcl

set menuList {
    {pd File F}
        {bt New   N "Ctrl<Key>N" "Ctrl+N" }
        {bt Open  O "Ctrl<Key>O" "Ctrl+O" }
        {bt Close }
	{sp}
        {bt "Print SetUp"    }
        {bt "Print" "Ctrl<Key>P" "Ctrl+P" }
	{sp}
        {bt Exit E "Ctrl<Key>E" "Ctrl+E" QuitCB}

    {pd Edit E}
        {bt Cut   C "Ctrl<Key>X" "Ctrl+X" }
        {bt Copy  o "Ctrl<Key>C" "Ctrl+C" }
        {bt Paste P "Ctrl<key>V" "Ctrl+V" }
    {sp}
    {bt Delete D "<key>Delete" Delete }
    {pd View  V}
        {bt Some  S "Ctrl<Key>S" "Ctrl+S" }
        {bt Parts P ""	   }

    {pd AnimalBook  T}
        {bt "Dog"    "" "" ""  "sendTopicCB Animal"  }
        {bt "Cat"    "" "" ""  "sendTopicCB Animal"  }
        {bt "Bird"   "" "" ""  "sendTopicCB Animal"  }

    {pd PlantBook  T}
        {bt "Weed"    "" "" ""  "sendTopicCB Plant"  }
        {bt "Tree"    "" "" ""  "sendTopicCB Plant"  }
        {bt "Flower"  "" "" ""  "sendTopicCB Plant" }
}

proc genericMenuCB {cbs} {
}

proc customHelpCB {cbs} {
    echo $cbs
}

proc sendTopicCB {book cbs} {
     set target [keylget cbs widget]
     
     set label [VtGetValues $target -label]

     VtDisplayHelp $target -topic $label -book $book
}

set app [VtOpen HelpMe HelpBook]

VtSetAppValues $app -versionString "Dumb Example   \n\n  1.2.3.4"

set dlog [VtFormDialog $app.HelpForm]

set menub [VtMenuBar $dlog.menub -helpMenuItemList {INDEX ON_VERSION}]


VxMenu $dlog $menub $menuList genericMenuCB


set rc [VtRowColumn $dlog.rc -horizontal \
	-leftSide FORM -topSide $menub -rightSide FORM]

foreach but {dog cat plant olaf bruti pima} {
    VtPushButton $rc.$but -helpCallback customHelpCB
}

VtShowDialog $dlog

VtMainLoop

