# CVS $Id: radio2.tcl,v 1.1 1995/02/03 17:15:49 zibi Exp $

#
# a minimal test of the radiobox widget
#

source tools.tcl

proc quitCB {cbs} {
    VtClose
}

proc toggleChangedCB {cbs} {
	echo $cbs
}

proc nextToggle {name label last} {
    if {$last == ""} {
	set tog [VtToggleButton $name -label $label -value 1 \
		     -xmArgs "XmNbackground red"]
    } else {
   	set tog [VtToggleButton $name -label $label \
		     -xmArgs "XmNbackground red"]
    }

    return $tog
}

set app [VtOpen "testradiobox"]

set fn [VtStartForm $app.form -title "Radio Box Test" \
       -xmArgs "XmNmarginWidth 10
                XmNmarginHeight 10
	        XmNbackground green"]

set rc1 [VtRadioBox $fn.rc1 -callback toggleChangedCB -borderWidth 2]

set tog ""
foreach i {1 2 3} {
    set tog [nextToggle $rc1.tog$i "Toggle $i" $tog]
}

set rc2 [VtRadioBox $fn.rc2 -callback toggleChangedCB -below $fn.rc1 \
	-borderWidth 2]

foreach i {4 5 6} {
    set tog [nextToggle $rc2.tog$i "Toggle $i" $tog]
}

set label [VtLabel $fn.label -label "No Callback Yet" -below $rc2]
set label2 [VtLabel $fn.label2 -label "No Callback Yet" -below $label]
set label3 [VtLabel $fn.label3 -label "No Callback Yet" -below $label2]

VtPushButton $fn.quit -callback quitCB \
    -below $label3 \
    -leftSide FORM\
    -rightSide FORM\
    -topOffset 10\
    -leftOffset 5 \
    -rightOffset 5\
    -CHARM_topOffset 1\
    -CHARM_leftOffset 2\
    -CHARM_rightOffset 2

VtShow $fn
VtMainLoop

